Bug 75658 - msync() succeeds on locked addresses when MS_INVALIDATE is set
Summary: msync() succeeds on locked addresses when MS_INVALIDATE is set
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 69077
TreeView+ depends on / blocked
 
Reported: 2002-10-10 19:11 UTC by Matt Wilson
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 19:43:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct behavior (440 bytes, patch)
2002-10-10 19:12 UTC, Matt Wilson
no flags Details | Diff

Description Matt Wilson 2002-10-10 19:11:22 UTC
POSIX.1 requires msync() to return -1 and set errno to EBUSY in this case.

Comment 1 Matt Wilson 2002-10-10 19:12:47 UTC
Created attachment 79826 [details]
patch to correct behavior

Comment 2 Matt Wilson 2003-10-09 19:43:07 UTC
this has been integrated.



Note You need to log in before you can comment on or make changes to this bug.